*******************  THIS DO FILE OUTLINES "METHOD B" IN  ********************** 
***************  A BEGINNER'S GUIDE TO GIS MAPPING IN STATA  *******************
*************************  by Zachariah Rutledge  ******************************


***NOTE: YOU WILL NEED TO GENERATE THE DATA SET "trans.dta" USED IN THIS ANALYSIS
***ON YOUR OWN AS SPECIFIED IN STEP 5B (ii).


***INSTALL THE "spmap" AND "shp2dta" PACKAGES
*ssc install spmap
*ssc install shp2dta


***SET WORKING DIRECTORY TO THE FOLDER WHERE THE RAW .shp and .dbf FILES ARE LOCATED
cd "C:\Users\Zach\Dropbox\Labor Scarcity Study\Graphs\Maps\ca-county-boundaries\CA_Counties"


***TRANSLATE THE SHAPE FILES INTO TWO .dta FILES
shp2dta using CA_Counties_TIGER2016, database(CA_Counties_Database) coordinates(CA_Counties_Coordinates) genid(ID) gencentroids(Centro) replace


***CONDENSE THE DATA YOU WANT TO MAP INTO A DATA SET THAT HAS ONLY ONE OBSERVATTION
***FOR EACH REGION YOU WANT TO MAP
use "CROP DATA 2010-2017.dta", clear
keep if year==2017
collapse (sum)value, by(countycode)
save Winegrape_Value_2017.dta, replace


***LOAD THE CA_Counties_Database.dta DATABASE FILE
use CA_Counties_Database, clear


***MERGE THE "trans.dta" DATA FILE ON THE "ID" VARIABLE
merge 1:1 ID using trans.dta
drop _merge


***MERGE THE DATA YOU WANT TO GRAPH
merge 1:1 countycode using Winegrape_Value_2017.dta
drop _merge


***HERE I RENAMED SOME OF THE COUNTIES SO THAT THEY FIT INTO THE GRAPH BETTER
replace NAME = "San Bern." if NAME=="San Bernardino"
replace NAME = "Santa Barb." if NAME=="Santa Barbara"
replace NAME = "San Fran." if NAME=="San Francisco"
replace NAME = "Sac." if NAME=="Sacramento"
replace NAME = "San J." if NAME=="San Joaquin"
replace NAME = "San Luis O." if NAME=="San Luis Obispo"
replace NAME = "L.A." if NAME=="Los Angeles"
replace NAME = "C.C." if NAME=="Contra Costa"


***HERE I RESCALED THE VALUES TO REPRESENT MILLIONS OF DOLLARS
replace value = value/1000000


***RUN THE "spmap" COMMAND WITH SPECIAL OPTIONS
spmap value using CA_Counties_Coordinates, id(ID) fcolor(Greens2)  plotregion(color(gs16)) label(x(x_Centro) y(y_Centro) label(NAME) size(tiny)) clmethod(custom) clbreaks(0 10 50 100 500 751) title("Value of Wine Grape Production In California") legend(order( 6 "(500 - 751]" 5 "(100 - 500]"  4 "(50 - 100)" 3 "(10 - 50]" 2 " (0 - 10]" 1 "No Data"))  legend(pos(1) ring(0) bmargin(large) title("$2017 (in millions)", size(small))) 
